Debian Bug report logs - #665390
xserver-xorg-input-mouse: FTBFS[kfreebsd-amd64]:

version graph

Package: src:xserver-xorg-input-mouse; Maintainer for src:xserver-xorg-input-mouse is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Fri, 23 Mar 2012 17:54:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version xserver-xorg-input-mouse/1:1.7.2-1

Fixed in version xserver-xorg-input-mouse/1:1.7.2-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#665390; Package src:xserver-xorg-input-mouse. (Fri, 23 Mar 2012 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
Extra info received and forwarded to list. Copy sent to debian-bsd@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 23 Mar 2012 17:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: xserver-xorg-input-mouse: FTBFS[kfreebsd-amd64]:
Date: Fri, 23 Mar 2012 18:51:57 +0100
Package: src:xserver-xorg-input-mouse
Version: 1:1.7.2-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-amd64 buildds:

  CC     bsd_mouse.lo
In file included from /usr/include/xorg/privates.h:145:0,
                 from /usr/include/xorg/cursor.h:54,
                 from /usr/include/xorg/scrnintstr.h:54,
                 from /usr/include/xorg/xf86str.h:39,
                 from /usr/include/xorg/xf86.h:44,
                 from ../../src/bsd_mouse.c:32:
/usr/include/xorg/dix.h:532:22: warning: redundant redeclaration of 'ffs' [-Wredundant-decls]
../../src/bsd_mouse.c: In function 'CheckProtocol':
../../src/bsd_mouse.c:142:30: error: array subscript is above array bounds [-Werror=array-bounds]
cc1: some warnings being treated as errors
make[3]: *** [bsd_mouse.lo] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=xserver-xorg-input-mouse&arch=kfreebsd-amd64&ver=1%3A1.7.2-1&stamp=1332204550

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#665390; Package src:xserver-xorg-input-mouse. (Sun, 15 Apr 2012 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 15 Apr 2012 23:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 665390@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 665390@bugs.debian.org
Cc: gcc-4.6@packages.debian.org
Subject: patch
Date: Mon, 16 Apr 2012 01:41:12 +0200
[Message part 1 (text/plain, inline)]
clone 665390 -1
user debian-bsd@lists.debian.org
usertag -1 - kfreebsd
severity -1 normal
retitle -1 false positive with -Werror=array-bounds
reassign -1 gcc-4.6 4.6.3-1
tags 665390 patch
thanks

This looks like a GCC bug.  You can use attached patch as workaround
(should also be slightly faster).

-- 
Robert Millan
[xserver-xorg-mouse.diff (application/octet-stream, attachment)]

Bug 665390 cloned as bug 668949 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2012 23:45:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2012 23:45:09 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 21 Apr 2012 10:54:03 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sat, 21 Apr 2012 10:54:09 GMT) Full text and rfc822 format available.

Message #19 received at 665390-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 665390-close@bugs.debian.org
Subject: Bug#665390: fixed in xserver-xorg-input-mouse 1:1.7.2-2
Date: Sat, 21 Apr 2012 10:51:00 +0000
Source: xserver-xorg-input-mouse
Source-Version: 1:1.7.2-2

We believe that the bug you reported is fixed in the latest version of
xserver-xorg-input-mouse, which is due to be installed in the Debian FTP archive:

xserver-xorg-input-mouse_1.7.2-2.diff.gz
  to main/x/xserver-xorg-input-mouse/xserver-xorg-input-mouse_1.7.2-2.diff.gz
xserver-xorg-input-mouse_1.7.2-2.dsc
  to main/x/xserver-xorg-input-mouse/xserver-xorg-input-mouse_1.7.2-2.dsc
xserver-xorg-input-mouse_1.7.2-2_amd64.deb
  to main/x/xserver-xorg-input-mouse/xserver-xorg-input-mouse_1.7.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665390@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xserver-xorg-input-mouse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 21 Apr 2012 12:31:32 +0200
Source: xserver-xorg-input-mouse
Binary: xserver-xorg-input-mouse xserver-xorg-input-mouse-udeb
Architecture: source amd64
Version: 1:1.7.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xserver-xorg-input-mouse - X.Org X server -- mouse input driver
 xserver-xorg-input-mouse-udeb - X.Org X server -- mouse input driver (udeb)
Closes: 665390
Changes: 
 xserver-xorg-input-mouse (1:1.7.2-2) unstable; urgency=low
 .
   * Add patch from Robert Millan to work around a gcc bug resulting in FTBFS
     with -Werror=array-bounds (closes: #665390)
Checksums-Sha1: 
 2782db9d5fd5e79cc4063b68c0d5521ac0c98c70 2280 xserver-xorg-input-mouse_1.7.2-2.dsc
 74ff066a669fca1e162a0af4eebbc640996e6aba 8100 xserver-xorg-input-mouse_1.7.2-2.diff.gz
 00d9f7e6c07d1467132eacc80bd68d04abec09c9 66542 xserver-xorg-input-mouse_1.7.2-2_amd64.deb
Checksums-Sha256: 
 3d7eb6b77672d8b388da4f598c88ead25421a7f0d47ec7761d87e1d0b09656d2 2280 xserver-xorg-input-mouse_1.7.2-2.dsc
 cd75dccf0f6d1d6d070204e1bc0485991c08462993f82052716ed54dcd4af812 8100 xserver-xorg-input-mouse_1.7.2-2.diff.gz
 42f6688239f180b6c21eb0031cdaed35f554b396854d842e76fa0ba5e4cc7cd5 66542 xserver-xorg-input-mouse_1.7.2-2_amd64.deb
Files: 
 3d64884b7ed51d53bc7b3806836b0ddd 2280 x11 optional xserver-xorg-input-mouse_1.7.2-2.dsc
 fc7fab53807a3738bd388b528ae278ab 8100 x11 optional xserver-xorg-input-mouse_1.7.2-2.diff.gz
 ac24acf8c9a4a756e7a223c7f117eca6 66542 x11 optional xserver-xorg-input-mouse_1.7.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPko40AAoJEDEBgAUJBeQMJE8P/iGWXlHdwyDkycVQEh9YCVvt
kF8lFGhkMhskgbHL+VeTpCdsBn2Bb/uIdi6ViA58hR+4+ov/BfW1rlbOL69Dm1fh
7B7DeqKXfj4iNk3nK/3bRC/qcby29Rq2D5Mki37jB+eGtKOGMWma/JhC/C+EdE/d
en0h5DZS/I3sYsAb4oDb/L+/Q/NoNjH3eXSCl8OoaSXaz1MEoCLypF8UDZk/xbmB
x5aKWpN8YfeBykTGeeDEji3n/dQ0gT3hRzbskGO7DdJs3nP36BBu1jTBjis+e00K
+SSMU530cU2YKBtXrZnH+5i7SdZWvMcmVqVmKIcpS1E0k/X0L+JyeO8rIS8fEfQP
sEU57pARNv4jNq5x2w88CE4a3BZDYRxYusqeKMAit06Lq/Ggj/AgyiBqejStjtj1
Y5v1EyXEmmCjLlu+qk47kfMBWWP8c96gTraMF64oN+jA+DLI0kl4I1sTVfm+Tp3G
PYSZi5ZfBjreg6wYjb3BzOIOUQSlcOVGkDAGJ5hcJkg4KQGJKjkeO6upJWxkONmj
wxentfxYWCtvhVGv7KRFFBq3sKM/KTf32kGC0+ZxFbgDLV9JFyUw4xNrxgRr679h
Zr7rBuqJ1mmneurp87LwbVbLt20CdJB0MbSodPPb8+V/MHUisoxb2giuoZW+UXOA
tE0g8mcVBssBRlKMEJc8
=8WCg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2012 07:55:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:55:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.